[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TDataSet.FindNext

Find the next active record (deprecated)

## Declaration

Source position: db.pas line 1693

`public function TDataSet.FindNext: Boolean; virtual;`

## Function result

True if the cursor position was changed.

## Description

FindLast positions the cursor on the next record (taking into account filtering), and returns True if the cursor position was changed. This method must be implemented by descendents of TDataset: The implementation in TDataset always returns False, indicating that the position was not changed.

This method is deprecated, use TDataset.Next instead.

## See also

TDataset.Next |  | Go to the next record in the dataset.
TDataset.FindFirst |  | Find the first active record (deprecated)
TDataset.FindLast |  | Find the last active record (deprecated)
TDataset.FindPrior |  | Find the previous active record (deprecated)